- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.ListCuratedRuleSetDeploymentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments/list#body.aspect_1)

**Full name**: projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments.list

Lists deployments for a curated rule set.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/curatedRuleSetDeployments`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The ID of the CuratedRuleSet to retrieve deployments for. To list across all rule sets, use a wildcard `-` in place of the curatedRuleSetCategory and the curatedRuleSet in the resource path. Formats: projects/{project}/locations/{location}/instances/{instance}/curatedRuleSetCategories/-/curatedRuleSets/- projects/{project}/locations/{location}/instances/{instance}/curatedRuleSetCategories/{curatedRuleSetCategory}/curatedRuleSets/- projects/{project}/locations/{location}/instances/{instance}/curatedRuleSetCategories/{curatedRuleSetCategory}/curatedRuleSets/{curatedRuleSet} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of rule set deployments to return. The service may return fewer than this value. If unspecified, at most 100 rule set deployments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `curatedRuleSetDeployments.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response message for curatedRuleSetDeployments.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "curatedRuleSetDeployments": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments#CuratedRuleSetDeployment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `curatedRuleSetDeployments[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.curatedRuleSetCategories.curatedRuleSets.curatedRuleSetDeployments#CuratedRuleSetDeployment`)`` List of CuratedRuleSetDeployments. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.curatedRuleSetDeployments.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).